import FormData from 'form-data';
import * as MessengerTypes from './MessengerTypes';
declare function createMessage(payload: MessengerTypes.Message, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createText(text: string, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createAttachment(attachment: MessengerTypes.Attachment, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createAudio(audio: string | MessengerTypes.MediaAttachmentPayload, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createAudioFormData(audio: MessengerTypes.FileData, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): FormData;
declare function createImage(image: string | MessengerTypes.MediaAttachmentPayload, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createImageFormData(image: MessengerTypes.FileData, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): FormData;
declare function createVideo(video: string | MessengerTypes.MediaAttachmentPayload, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createVideoFormData(video: MessengerTypes.FileData, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): FormData;
declare function createFile(file: string | MessengerTypes.MediaAttachmentPayload, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createFileFormData(file: MessengerTypes.FileData, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): FormData;
declare function createTemplate(payload: MessengerTypes.TemplateAttachmentPayload, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createButtonTemplate(text: string, buttons: MessengerTypes.TemplateButton[], options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createGenericTemplate(elements: MessengerTypes.TemplateElement[], options?: {
    imageAspectRatio?: 'horizontal' | 'square';
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createMediaTemplate(elements: MessengerTypes.MediaElement[], options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createReceiptTemplate(receipt: MessengerTypes.ReceiptAttributes, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createAirlineBoardingPassTemplate(attrs: MessengerTypes.AirlineBoardingPassAttributes, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createAirlineCheckinTemplate(attrs: MessengerTypes.AirlineCheckinAttributes, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createAirlineItineraryTemplate(attrs: MessengerTypes.AirlineItineraryAttributes, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createAirlineUpdateTemplate(attrs: MessengerTypes.AirlineUpdateAttributes, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare function createOneTimeNotifReqTemplate(attrs: MessengerTypes.OneTimeNotifReqAttributes, options?: {
    quickReplies?: MessengerTypes.QuickReply[];
}): MessengerTypes.Message;
declare const Messenger: {
    createMessage: typeof createMessage;
    createText: typeof createText;
    createAttachment: typeof createAttachment;
    createAudio: typeof createAudio;
    createAudioFormData: typeof createAudioFormData;
    createImage: typeof createImage;
    createImageFormData: typeof createImageFormData;
    createVideo: typeof createVideo;
    createVideoFormData: typeof createVideoFormData;
    createFile: typeof createFile;
    createFileFormData: typeof createFileFormData;
    createTemplate: typeof createTemplate;
    createButtonTemplate: typeof createButtonTemplate;
    createGenericTemplate: typeof createGenericTemplate;
    createMediaTemplate: typeof createMediaTemplate;
    createReceiptTemplate: typeof createReceiptTemplate;
    createAirlineBoardingPassTemplate: typeof createAirlineBoardingPassTemplate;
    createAirlineCheckinTemplate: typeof createAirlineCheckinTemplate;
    createAirlineItineraryTemplate: typeof createAirlineItineraryTemplate;
    createAirlineUpdateTemplate: typeof createAirlineUpdateTemplate;
    createOneTimeNotifReqTemplate: typeof createOneTimeNotifReqTemplate;
};
export default Messenger;
//# sourceMappingURL=Messenger.d.ts.map